/*
 * RFCNB (RFC1001/RFC1002) NetBIOS implementation
 * 
 * Version 1.0
 * Name Service Routines Routines ...
 * 
 * Copyright (C) Richard Sharpe 1996
 * 
 */

/*
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "std-defs.h"
#include "extract.h"
#include "rfcnb.h"
#include "smblib.h"

/*
 * These are some suggested approaches to name management
 */

/*
 * Do a name query
 */
struct in_addr *RFCNB_Name_Query (char *name, int type, int timeout)
{
  static struct in_addr addr;
  ARGSUSED (name);
  ARGSUSED (type);
  ARGSUSED (timeout);
  return (&addr);
}

int RFCNB_Name_Register (char *name, int type)
{
  ARGSUSED (name);
  ARGSUSED (type);
  return (-1);
}

int RFCNB_Name_Release (char *name, int type)
{
  ARGSUSED (name);
  ARGSUSED (type);
  return (-1);
}

int RFCNB_Name_WACK (char *name, int type)
{
  ARGSUSED (name);
  ARGSUSED (type);
  return (-1);
}

int RFCNB_Name_Refresh (char *name, int type)
{
  ARGSUSED (name);
  ARGSUSED (type);
  return (-1);
}
